# Class CIM_GenericOperationCapabilitiesStructure

CIM_GenericOperationCapabilitiesStructure defines a structure of the generic operations capabilities supported by a WBEM implementation (e.g. WBEM Server, WBEM Protocol, WBEM Provider, ...). One use of this strucutre would be to add to a capabilities class and associate via CIM_ElementCapabilities. For more information, see Generic Operations (DSP0223).

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_GenericOperationCapabilitiesStructure

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | CIM_GenericOperationCapabilitiesStructure defines a structure of the generic operations capabilities supported by a WBEM implementation (e.g. WBEM Server, WBEM Protocol, WBEM Provider, ...). One use of this strucutre would be to add to a capabilities class and associate via CIM_ElementCapabilities. For more information, see Generic Operations (DSP0223).
Indication | boolean | true
Structure | boolean | true
UMLPackagePath | string | CIM::Interop::Operations
Version | string | 2.38.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
ContinueOnErrorSupported | boolean |
Description | string | Is ContinueOnError supported as defined in Generic Operations (DSP0223)?
FQLSupported | boolean |
Description | string | Is FQL (Filter Query Language, DSP0212) supported?
MaximumOperationTimeout | uint32 |
Description | string | OperationTimeout is defined in Generic Operations (DSP0223). It is used to determine when the WBEM Server can close an enumeration session. MaximumOperationTimeout is the maximum number of seconds allowed for the OperationTimeout parameter. If the value is 0, then there is no operation timeout. That is, the enumeration session is never closed based on time.
PUnit | string | second
MinimumOperationTimeout | uint32 |
Description | string | OperationTimeout is defined in Generic Operations (DSP0223). It is used to determine when the WBEM Server can close an enumeration session. MinimumOperationTimeout is the minimum number of seconds allowed for the OperationTimeout parameter.
PUnit | string | second
CQLSupport | uint32[] |
Description | string | CQLSupport describes the levels of CQL Supported. If Not Supported the array shall have a single entry of 0 (Not Supported). For more information refer to the CIM Query Language Specification, DSP0202.
ValueMap | string | 0, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, ..
Values | string | Not Supported, Basic Query, Simple Join, Complex Join, Subquery, Result Set Operations, Extended Select List, Embedded Properties, Aggregations, Regular Expression Like, Array Range, Satisfies Array, Foreign Namespace Support, Arithmetic Expression, Full Unicode Support, Conversion Utilities, Property Scoping, Association Traversal, DMTF Reserved
OperationsSupported | uint32[] |
ArrayType | string | Indexed
Description | string | The list of Generic Operations supported. Generic Operations are defined in DSP0223.
ModelCorrespondence | string | CIM_GenericOperationCapabilitiesStructure.OtherOperationsSupportedDescriptions
ValueMap | string | 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, ..

Values

string

Other, GetInstance, DeleteInstance, ModifyInstance, CreateInstance, EnumerateInstances, EnumerateInstanceNames, Associators, AssociatorNames, References, ReferenceNames, OpenEnumerateInstances, OpenEnumerateInstancePaths, OpenAssociators, OpenAssociatorPaths, OpenReferences, OpenReferencePaths, OpenQueryInstances, PullInstancesWithPath, PullInstancePaths, PullInstances, CloseEnumeration, EnumerationCount, InvokeMethod, InvokeStaticMethod, GetClass, DeleteClass, ModifyClass, CreateClass, EnumerateClasses, EnumerateClassNames, AssociatorClasses, AssociatorClassPaths, ReferenceClasses, ReferenceClassPaths, GetQualifierType, DeleteQualifierType, ModifyQualifierType, CreateQualifierType, EnumerateQualifierTypes, DMTF Reserved

OtherOperationsSupportedDescriptions | string[] |
ArrayType | string | Indexed
Description | string | If OperationsSupported has the value 1 (Other), then the corresponding element in this array shall have the name of the operation.
ModelCorrespondence | string | CIM_GenericOperationCapabilitiesStructure.OperationsSupported

## Class Methods